Skip to main content
GET
/
api
/
gateway
/
payments
List payments
curl --request GET \
  --url https://dash.getopenrails.com/api/gateway/payments
{
  "data": [
    {
      "id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "customerId": "<string>",
      "invoiceId": "<string>",
      "sessionId": "<string>",
      "route": {
        "id": "<string>",
        "label": "<string>"
      },
      "fees": {
        "buyer_fee": 123,
        "gateway_fee": 123,
        "merchant_net": 123,
        "total": 123
      },
      "metadata": {}
    }
  ],
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.getopenrails.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer
default:20
customerId
string
invoiceId
string
paymentId
string
status
string

Response

200 - application/json

List of payments

object
enum<string>
required
Available options:
list
data
object[]
required
hasMore
boolean
required